﻿@model EMartVG.Models.Detalle_Compra

@{
    ViewBag.Title = "AprobarVenta";
}

<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/ListarVentas/">Ventas</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaCategoria/">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <h2 class="font-weight-bolder">Detalle de venta</h2>
            </div>
            <div class="card-body">

                <form method="post">

                    <div class="form-horizontal">

                        <input hidden type="text" name="Id_Detalle_Compra" value="@Model.Id_Detalle_Compra" />
                        <input hidden type="text" name="Id_Estado_Compra" value="@Model.Id_Estado_Compra" />
                        <input hidden type="text" name="Detalle" value="@Model.Detalle" />
                        <input hidden type="text" name="Id_Usuario" value="@Model.Id_Usuario" />
                        <input hidden type="text" name="Usuarios.Id_Usuario" value="@Model.Id_Usuario" />
                        <input hidden type="text" name="Fecha" value="@Model.Fecha" />
                        <input hidden type="text" name="Detalle" value="@Model.Detalle" />
                        <input hidden type="text" name="Usuarios.Primer_Nombre" value="@Model.Usuarios.Primer_Nombre" />
                        <input hidden type="text" name="Usuarios.Segundo_Nombre" value="@Model.Usuarios.Segundo_Nombre" />
                        <input hidden type="text" name="Usuarios.Primer_Apellido" value="@Model.Usuarios.Primer_Apellido" />
                        <input hidden type="text" name="Usuarios.Segundo_Apellido" value="@Model.Usuarios.Segundo_Apellido" />
                        <input hidden type="text" name="Usuarios.Calle" value="@Model.Usuarios.Calle" />
                        <input hidden type="text" name="Usuarios.Numero" value="@Model.Usuarios.Numero" />
                        <input hidden type="text" name="Usuarios.Ciudad_Comuna" value="@Model.Usuarios.Ciudad_Comuna" />
                        <input hidden type="text" name="Usuarios.Email" value="@Model.Usuarios.Email" />
                        <input hidden type="text" name="Usuarios.Run" value="@Model.Usuarios.Run" />


                        <div class="form-group">
                            <label class=" col-md-2">Id:</label>
                            <div class="col-md-10">
                                <Label>@Model.Id_Detalle_Compra</Label>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class=" col-md-2">Detalle:</label>
                            <div class="col-md-10">
                                @Html.Raw(Html.Encode(Model.Detalle).Replace("#", "<br />"))
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-2">Nombre cliente:</label>
                            <div class="col-md-10">
                                <Label>@Model.Usuarios.Primer_Nombre @Model.Usuarios.Segundo_Nombre @Model.Usuarios.Primer_Apellido @Model.Usuarios.Segundo_Apellido</Label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2">Dirección cliente:</label>
                            <div class="col-md-10">
                                <Label>@Model.Usuarios.Calle @Model.Usuarios.Numero @Model.Usuarios.Ciudad_Comuna </Label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2">Contacto cliente:</label>
                            <div class="col-md-10">
                                <Label>@Model.Usuarios.Email</Label>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2">Run cliente:</label>
                            <div class="col-md-10">
                                <Label>@Model.Usuarios.Run</Label>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-2">Fecha de compra:</label>
                            <div class="col-md-10">
                                @Html.DisplayFor(model => model.Fecha, new { htmlAttributes = new { @class = "form-control" } })
                            </div>
                        </div>

                        @if (Model.Id_Estado_Compra == 1)
                        {
                            <div class="form-group">
                                <label class="col-md-4">Código de Seguimiento:</label>
                                <div class="col-md-6">
                                    <input class="form-control" type="text" id="Codigo" required name="Codigo_Envio" value="" placeholder="Ingrese cod. seguimiento" />
                                    @Html.ValidationMessageFor(model => model.Codigo_Envio, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-offset-2 col-md-10">
                                    <input type="submit" id="btnSubmit"  value="Aprobar Venta" class="btn btn-secondary btn-block" />
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="form-group">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input class="btn btn-dark btn-block" type="button" value="Volver" onclick="document.location.href='@Url.Content("~/Admin/ListarVentas")'" />
                                    </div>
                                </div>
                            </div>
                        }
                        @if (Model.Id_Estado_Compra == 2)
                        {
                            <div class="form-group">
                                <label class="col-md-4">Código de Seguimiento:</label>
                                <div class="col-md-6">
                                    <input class="form-control" type="text" id="Codigo" name="Codigo_Envio" value="@Model.Codigo_Envio" />
                                    @Html.ValidationMessageFor(model => model.Codigo_Envio, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-6">
                                    <input class="btn btn-secondary btn-block" id="btnSubmit" type="submit" value="Modificar código" />
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="form-group">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input class="btn btn-dark btn-block" type="button" value="Volver" onclick="document.location.href='@Url.Content("~/Admin/ListarVentas")'" />
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!--PENDIENTE VALIDAR JQUERY CODIGO NO VACIO-->
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/SweetAlert.js"></script>
    <script>
        $("#btnSubmit").click(function (e) {
            let error = "";
            if (!$("#Codigo").val()) {
                error = "Debe ingresar un código de envío \n";
            }
            if ($("#Codigo").val().indexOf(' ') >= 0) {
                error += "No se permiten espacios \n";
            }
            
            if (error != "") {
                e.preventDefault();
                swal("Información  incompleta", error, "error");
            }
        });
    </script>
}